#!/bin/sh

# This sample program is provided AS IS and may be used, executed, copied and modified
# without royalty payment by customer
# (a) for its own instruction and study,
# (b) in order to develop applications designed to run with an IBM WebSphere product,
# either for customer's own internal use or for redistribution by customer, as part of such an
# application, in customer's own products.
# Licensed Materials - Property of IBM
# 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008

binDir=`dirname $0`
SETUP_CMD_LINE=${binDir}/../../../../bin/setupCmdLine.sh
 
if [ -f ${SETUP_CMD_LINE} ]; then
	CUR_DIR=`pwd`
    OBJECTGRID_DIR=${binDir}/../../
	cd "${OBJECTGRID_DIR}"
	OBJECTGRID_HOME=`pwd`
	REPLACE_WAS_HOME=${OBJECTGRID_HOME}/../../
	cd "${CUR_DIR}"
    . $SETUP_CMD_LINE
else
	REPLACE_OBJECTGRID_HOME=${binDir}/../..
	SETUP_CMD_LINE=${binDir}/../../bin/setupCmdLine.sh
	. $SETUP_CMD_LINE
fi


CE_HOME=$1

if [ -z "${CE_HOME}" ]; then
  echo "Usage :   addToCeRepository.sh  [WebSphere CE Home Directory]"
  echo ""
  echo "i.e.  :   addToCeRepository.sh  home/username/ceHome"
  exit
fi

PLATFORM=`/bin/uname`

if [ -z "${JAVA_HOME}" ]; then
    echo "Set the JAVA_HOME environment variable."
    exit
fi

PSEP=":"
case $PLATFORM in
    "Windows_NT" | "CYGWIN_NT-4.0" | "CYGWIN_NT-5.0" | "CYGWIN_NT-5.1" | "CYGWIN_NT-5.2" )
        PSEP=";"
        ;;
esac

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

if [ -n "${OBJECTGRID_HOME}" ]; then
    cd $CE_HOME/bin
    ${JAVA_EXE} -jar deployer.jar --offline distribute $OBJECTGRID_HOME/lib/objectgrid.jar $OBJECTGRID_HOME/wasce/ceplans/xsplan.xml
    ${JAVA_EXE} -jar deployer.jar --offline distribute $OBJECTGRID_HOME/session/lib/sessionobjectgrid.jar $OBJECTGRID_HOME/wasce/ceplans/sessionplan.xml
    ${JAVA_EXE} -jar deployer.jar --offline distribute $OBJECTGRID_HOME/wasce/lib/xsgbean.jar $OBJECTGRID_HOME/wasce/ceplans/xsgbeanplan.xml
    cd $binDir
else 
    echo "Please set the OBJECTGRID_HOME variable"
fi;	
